Bug 1310889 - [QA](6.2.z)Exception when creating container with kie-api dependency in kjar
[QA](6.2.z)Exception when creating container with kie-api dependency in kjar
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Kie-Server (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity urgent
: CR1
: 6.2.2
Assigned To: Maciej Swiderski
Karel Suta
:
Depends On: 1310708
Blocks: 1309326 1309327
  Show dependency treegraph
 
Reported: 2016-02-22 17:19 EST by Alessandro Lazarotti
Modified: 2016-03-08 04:42 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1310708
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2016-02-22 17:19:04 EST
+++ This bug was initially created as a clone of Bug #1310708 +++

Description of problem:
When I try to create container on Kie server from kjar which depends on OSGI - for example on kie-api, I get exception showed in attachment.


Version-Release number of selected component (if applicable):
6.2.1

How reproducible:
Create kjar which contains dependency on kie-api. Deploy kjar to Kie server.


Actual results:
Error listed in attachment is thrown.

Expected results:
Kjar is successfully deployed.

Additional info:

--- Additional comment from JBoss Product and Program Management on 2016-02-22 10:00:18 EST ---

Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Edson Tirelli on 2016-02-22 10:09:01 EST ---

Does it happen with any OSGified dependency jar or only with kie-api?

--- Additional comment from Karel Suta on 2016-02-22 10:20:32 EST ---

Do you know any OSGified dependency which I could use to check it? Or how can I try it
Comment 2 Maciej Swiderski 2016-02-25 05:05:07 EST
this is covered by bz https://bugzilla.redhat.com/show_bug.cgi?id=1297869

main principle is that dependencies:
- org.kie
- org.drools
- org.jbpm

are always declared as provided as they are provided by both business central and kie server and thus should never be duplicated on ProjectClassLoader level
Comment 3 Tibor Zimanyi 2016-03-08 04:42:16 EST
Verified by deploying kjar with kie-api dependency through REST. 

If notes from Maciej's comment (comment #2) aren't documented, they should be, because when someone doesn't set the dependency as provided, the deployment (correctly) raises an exception similar to this [1]. So I'm also setting requires_doc_text flag. 

[1] http://pastebin.com/FkpPfhr4

Note You need to log in before you can comment on or make changes to this bug.